[]
        
(Showing Draft Content)

ActiveReportsJS Vue Report Viewer Component

This page provides a detailed overview of ActiveReportsJS Vue Report Viewer Component. You can check Get Started tutorial for a concise guide for integrating this component into a Vue application.

ActiveReportsJS Vue NPM package

We distribute the library that contains the ActiveReportsJS Vue Report Viewer Component via the @grapecity/activereports-vue npm package. The main @grapecity/activereports package provides the core functionality. If you are using Vue 2.0 then ActiveReportsJS also requires @vue/composition-api package to be installed.

ActiveReportsJS Vue Report Viewer Component API

ActiveReportsJS Vue Report Viewer Component can be imported from @grapecity/activereports-vue package and included in a parent component's template, for example:

import Vue from "vue";
import { Viewer as ReportViewer } from "@grapecity/activereports-vue";
import "@grapecity/activereports/styles/ar-js-viewer.css";

new Vue({
  el: "#app",
  components: { "arjs-viewer": ReportViewer },
  template: "<div style='width:100%;height: 100vh'><arjs-viewer /></div>",
});

The viewer component accepts the following properties.

Property Type Default Value Description
availableExports Array of strings sets the list of exports that should be available in the viewer UI. See Exports page for more information
mouseMode 'Pan' | 'Selection' 'Pan' sets the mouse mode of Viewer component.
renderMode 'Galley' | 'Paginated' 'Paginated' sets the render mode of Viewer component
viewMode 'Continuous' | 'SinglePage' 'Continuous' sets the view mode of Viewer component
zoom 'FitWidth' | 'FitPage' | number 100 sets the zoom mode of Viewer component
fullscreen boolean false indicates whether the Viewer component should display the content in Full-Screen mode
toolbarVisible boolean true indicates whether the toolbar of Viewer component is visible or not
sidebarVisible boolean true indicates whether the sidebar of Viewer component is visible or not
panelsLayout 'sidebar' | 'toolbar' 'toolbar' indicates the location of Search and Export functions within the UI of Viewer component
parameterPanelLocation 'default' | 'top' | 'bottom' 'default' indicates the location of the Parameters bar within the UI of Viewer component
toolbarLayout Object sets the list of available toolbar items. See Customization page for more information
language string sets the language of the UI. See Localization page for more information
exportsSettings object sets the export settings. Check the Export Settings page for more information.
report Object sets the report to load in the Viewer component.
reportLoaded (args: ReportLoadEventArgs)=>void sets the handler for the event that occurs when a report is loaded but before rendering started
documentLoaded (args: DocumentLoadEventArgs)=>void sets the handler for the event that occurs when a report rendering is completed
errorHandler ()=> void sets the handler for the event that occurs if report rendering causes an error

You can bind these input properties to dynamic values to completely overwrite the viewer component's default UI, check Customization page for more information.

Besides, the parent component can access methods and properties of the Viewer Class instance class by creating the ref for a Viewer component and using its Viewer function, for example

import Vue from "vue";
import { Viewer as ReportViewer } from "@grapecity/activereports-vue";
import "@grapecity/activereports/styles/ar-js-viewer.css";

new Vue({
  el: "#app",
  components: { "arjs-viewer": ReportViewer },
  template:
    "<div style='width:100%;height: 100vh'><arjs-viewer ref='reportViewer' /></div>",
  mounted: function () {
    this.$refs.reportViewer.Viewer().toggleFullScreen();
  },
});

[]
        
(Showing Draft Content)

ActiveReportsJS React Report Viewer Component

This page provides a detailed overview of ActiveReportsJS React Report Viewer Component. You can check Get Started tutorial for a concise guide for integrating this component into a React application.

ActiveReportsJS React NPM package

We distribute the library that contains the ActiveReportsJS React Report Viewer Component via the @grapecity/activereports-react npm package. The main @grapecity/activereports package provides the core functionality.

ActiveReportsJS React Report Viewer Component API

ActiveReportsJS React Report Viewer Component can be imported to a JSX(TSX) file and included in a component's rendering tree, for example:

import { Viewer as ReportViewer } from "@grapecity/activereports-react";
function App() {
  return (
    <div>
      <ReportViewer />
    </div>
  );
}

The viewer component accepts the following properties.

Property Type Default Value Description
availableExports Array of strings sets the list of exports that should be available in the viewer UI. See Exports page for more information
mouseMode 'Pan' | 'Selection' 'Pan' sets the mouse mode of Viewer component.
renderMode 'Galley' | 'Paginated' 'Paginated' sets the render mode of Viewer component
viewMode 'Continuous' | 'SinglePage' 'Continuous' sets the view mode of Viewer component
zoom 'FitWidth' | 'FitPage' | number 100 sets the zoom mode of Viewer component
fullscreen boolean false indicates whether the Viewer component should display the content in Full-Screen mode
toolbarVisible boolean true indicates whether the toolbar of Viewer component is visible or not
sidebarVisible boolean true indicates whether the sidebar of Viewer component is visible or not
panelsLayout 'sidebar' | 'toolbar' 'toolbar' indicates the location of Search and Export functions within the UI of Viewer component
parameterPanelLocation 'default' | 'top' | 'bottom' 'default' indicates the location of the Parameters bar within the UI of Viewer component
toolbarLayout Object sets the list of available toolbar items. See Customization page for more information
language string sets the language of the Viewer's UI. See Localization page for more information
exportsSettings object sets the export settings. Visit the Export Settings page for more information.
report Object sets the report to load in the Viewer component. See Loading Report section for more information
reportLoaded (args: ReportLoadEventArgs)=>void sets the handler for the event that occurs when a report is loaded but before rendering started
documentLoaded (args: DocumentLoadEventArgs)=>void sets the handler for the event that occurs when a report rendering is completed
errorHandler ()=> void sets the handler for the event that occurs if report rendering causes an error

You can bind these input properties to dynamic values to completely overwrite the viewer component's default UI, check Customization page for more information.

Also, the parent component can access methods and properties of the Viewer Class instance class by creating the ref for a Viewer component and using its Viewer property, for example

import { Viewer as ReportViewer } from "@grapecity/activereports-react";
function App() {
  const viewerRef = React.createRef();
  const btnClick = function () {
    viewerRef.current.Viewer.toggleFullScreen();
  };
  return (
    <div id="viewer-host">
      <button type="button" onClick={btnClick}>
        Full Screen
      </button>
      <ReportViewer ref={viewerRef} />
    </div>
  );
}

[]
        
(Showing Draft Content)

ActiveReportsJS Angular Report Viewer Component

This page provides a detailed overview of ActiveReportsJS Angular Report Viewer Component. You can check the Get Started tutorial for a concise guide for integrating this component into an Angular application.

ActiveReportsJS Angular NPM package

We distribute the library that contains the ActiveReportsJS Angular Report Viewer Component via the @grapecity/activereports-angular npm package. The main @grapecity/activereports package provides the core functionality.

ActiveReportsJS Angular Module

ActiveReportsJS Angular Report Viewer Component resides in the ActiveReportsModule Angular module, so it should be imported to the application's root module or other module that is gosing to use Report Viewer, for example:

import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { ActiveReportsModule } from "@grapecity/activereports-angular";

import { AppComponent } from "./app.component";

@NgModule({
  declarations: [AppComponent],
  imports: [BrowserModule, ActiveReportsModule],
  providers: [],
  bootstrap: [AppComponent],
})
export class AppModule {}

ActiveReportsJS Angular Report Viewer Component API

You can include the ActiveReportsJS Angular Report Viewer Component in the component's HTML template with the gc-activereports-viewer tag. You can use the following input properties of the ViewerComponent to set its appearance.

Property Type Default Value Description
width CSS Unit '100%' sets the width of ViewerComponent
height CSS Unit '100%' sets the height of ViewerComponent
language string sets the language of ViewerComponent interface. Check Localization page for more information
panelsLocation 'sidebar' | 'toolbar' 'sidebar' sets the location of Search and Export UI
exportsSettings Object sets the export settings. Check the Export Settings page for more information
availableExports Array of strings [] sets the list of export filters that should be available for a user. Check ActiveReportJS Export Services section for more information.
mouseMode 'Pan' | 'Selection' Pan sets the mouse mode of ViewerComponent.
renderMode 'Galley' | 'Paginated' Paginated sets the render mode of ViewerComponent
viewMode 'Continuous' | 'SinglePage' Continuous sets the mode of displaying a multi-page report
zoom 'FitWidth' | 'FitPage' | number 100 sets the zoom level of displayed pages
fullscreen boolean false ViewerComponent is displayed in FullScreen mode if this property is set to true
toolbarVisible boolean true sets visibility of the toolbar of ViewerComponent
sidebarVisible boolean true sets visibility of the sidebar of ViewerComponent
errorHandler function null the callback that invoked if the error occurs in ViewerComponent

You can bind these input properties to dynamic values to completely overwrite the viewer component's default UI. Check Customization page for more information.

In additon, ViewerComponent exposes the following output properties:

Event Parameters Description
init occurs when ViewerComponent is loaded
reportLoaded ReportLoadEventArgs occurs when a report is loaded in the ViewerComponent before rendering is started
documentLoaded DocumentLoadEventArgs occurs when a report rendering completes

Finally, the parent component can access methods and properties of the Viewer Class instance using the ViewChild injection.

@ViewChild(ViewerComponent, { static: false }) reportViewer: ViewerComponent;

ActiveReportJS Export Services

ActiveReportJS Angular Module includes services that allow exporting a report to PDF, XLS, or HTML format. You have to inject these services in the viewer's host component or its module or the application's root module. Here is an example of code that injects export services in the root module

@NgModule({
  declarations: [AppComponent],
  imports: [BrowserModule, ActiveReportsModule],
  providers: [    {
    provide: AR_EXPORTS,
    useClass: PdfExportService,
    multi: true
  },
  {
    provide: AR_EXPORTS,
    useClass: HtmlExportService,
    multi: true
  },
  {
    provide: AR_EXPORTS,
    useClass: XlsxExportService,
    multi: true
  }
],
  bootstrap: [AppComponent]
})
export class AppModule {}

You can also use the availableExports input property of ViewerComponent to restrict the list of available exports. Perhaps for some reports, it's desirable to leave PDF export only in the user interface.